#include "SM_MainPCH.h"
#include "SM_Leaks.h"

#ifdef _DEBUG

#include <malloc.h>

void operator delete ( void * pData )                           
{                                                                  
   //pHead = pHdr(pUserData);

   /* verify block type */
  //_ASSERTE(_BLOCK_TYPE_IS_VALID(pHead->nBlockUse));

  if (pData)
    _free_dbg( pData, *(((DWORD*) pData)-3));  
}
 
#endif